
Foreman - Feature #18479

Add a rake task to cleanup facts that are not used anymore

02/13/2017 08:52 AM - Marek Hulán

Status: Duplicate   

Priority: Normal   

Assignee: Marek Hulán   

Category: Facts   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4275

  

Description

Users with big amount of custom facts or facts from various plugins that are not used anymore should have a way to clean tasks

without values, otherwise they will always be suggested in auto-completion.

Related issues:

Is duplicate of Foreman - Feature #12163: Add ability to expire facts based o... Closed 10/14/2015

History

#1 - 02/13/2017 08:56 AM - Dominic Cleal

If this is fact names, this is tracked under #12163.

#2 - 02/13/2017 08:59 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4275 added

#3 - 02/13/2017 09:50 AM - Marek Hulán

- Is duplicate of Feature #12163: Add ability to expire facts based on fact name. added

#4 - 02/13/2017 09:50 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

Thanks, good catch as always.

#5 - 02/13/2017 10:21 AM - Dominic Cleal

- Status changed from Closed to Duplicate
